View patientsAsk AIget https://nexhealth.info/patientsThis endpoint returns a list of patients based on the optional filters configured.Query ParamssubdomainstringrequiredUsed to scope the request to the specified institutionlocation_idint32requiredUsed to scope the request to the specified locationsortstringDefaults to idOptional comma-separated string of fields to sort on. Include a leading dash for descending order. Available fields: id -id updated_at -updated_at namestringPatient nameemailstringPatient emailphone_numberstringPatient phone numberdate_of_birthdatePatient date of birth. Must be a parseable date string, recommended formats is YYYY-MM-DDinactivebooleantruefalseforeign_idstringUnique patient id from the EMRupdated_sincedate-timeOnly return messages created since specified date. Must be a parseable Date, recommended formats are YYYY-MM-DD or YYYY-MM-DDThh:mm:ss+0000new_patientbooleanDefaults to falseInclude new patients with an upcoming appointment in the result set. Patients with the attribute new_patient=true are patients that do not fully exist in the EMR so cannot be used to book appointments. When the patient record is officially created (and read by us) in the EMR, record associations will be created and any new_patient records are deleted. Default value is falsetruefalsenon_patientbooleanSpecify if you want to filter non_patients. In case of true: return only non_patients. In case of false: Result does not include non_patients. In case of null: do not set filter/return anytruefalseforms_syncablebooleanSpecify if you want to filter to patients that can have forms inserted into their patient file. In case of true: Return only patients that can have forms inserted into their patient file. In case of false or nil: do not filtertruefalselocation_strictbooleanDefaults to falseOnly returns patients belonging to the specified location, rather than searching across the EHR systemtruefalsestart_cursorstringFirst item of the current page. Starts emptyend_cursorstringLast item of the current page. Starts emptyper_pageint32Defaults to 5Number of results to return per page. Maximum allowed amount is 1000.HeadersNex-Api-VersionstringrequiredDefaults to v20240412The NexHealth API versionResponses 200Successful 400Bad Request 401Unauthorized 403Forbidden 404Not Found 500Internal Server ErrorUpdated 6 months ago